<a href="https://www.magepal.com" title="Magento Modules Marketplace" ><img src="https://image.ibb.co/dHBkYH/Magepal_logo.png" width="100" align="right" alt="Best Magento Extensions" /></a>

# Customer Account Links Manager for Magento2

[![Total Downloads](https://poser.pugx.org/magepal/magento2-customeraccountlinksmanager/downloads)](https://www.magepal.com/magento2/extensions/customer-dashboard-links-manager-for-magento-2.html)
[![Latest Stable Version](https://poser.pugx.org/magepal/magento2-customeraccountlinksmanager/v/stable)](https://www.magepal.com/magento2/extensions/customer-dashboard-links-manager-for-magento-2.html)

<a href="https://www.magepal.com/customer-dashboard-links-manager-for-magento-2.html" title="Magento Plug-in Marketplace" ><img src="https://user-images.githubusercontent.com/1415141/108905663-f8fd9780-75ed-11eb-9410-a03db9ae49eb.png" alt="Best Magento Extensions" /></a>

Our Account Links Manager extension allows you to quickly and easily remove unwanted links from your customer navigation dashboard sidebar in Magento. This extension can be used to remove the default Magento links such as "My Product Review", "My Downloadable Products", "My Credit Cards" or "Billing Agreements", as well as links added by other third-party extensions to your customer dashboard sidebar.

No coding or template modification necessary, all links are removable by updating the configurable within your Magento admin. Removing any link from your customer account page is as simple as clicking on the link you want to remove and save the configuration in admin.

Admin Configuration
<a href="https://www.magepal.com/customer-dashboard-links-manager-for-magento-2.html" title="Magento Extension Marketplace" >![Customer Account Links Manager for Magento2](https://image.ibb.co/cSJeAH/customer_accoundt_links_manager.png)</a>

Frontend
<a href="https://www.magepal.com/customer-dashboard-links-manager-for-magento-2.html" title="Magento Modules Marketplace" >![Magento Dashboard Links](https://image.ibb.co/b8PfYH/Customer_Account_Links_Manager_for_Magento2.gif?1546)</a>

### Features
- Remove navigation links from account dashboard sidebar added by:
    - default Magento
    - third party extensions

- No code or template modification

- Switch on/off menu dashboard links easily via Magento backend.

#### Remove Customer Account Links
- NewsLetter Subscriptions
- Billing Agreements / Subscription
- My Product Reviews
- Stored Payment Methods
- My wish List
- My Downloadable Products
- Customer Balance
- My Credit Cards
- Gift Card
- Gift Registry
- Reward points
- Order by SKU


### Documentation

- [How to Install Dashboard Links Manager for Magento2](https://www.magepal.com/help/docs/magento2-dashboard-links-manager/#installation)

- [How to setup Customer Account Links Manager for Magento2](https://www.magepal.com/help/docs/magento2-dashboard-links-manager/#configuration)

## Installation Using Composer

```
composer require magepal/magento2-customeraccountlinksmanager
```

##### Manually
* Download the extension
* Unzip the file
* Create a folder {Magento 2 root}/app/code/MagePal/CustomerAccountLinksManager
* Copy the content from the unzip folder

#### Step 2 - Enable Customer Account Links Manager (from {Magento root} folder)
* php -f bin/magento module:enable --clear-static-content MagePal_CustomerAccountLinksManager
* php -f bin/magento setup:upgrade

#### Step 3 - Configure Customer Account Links Manager

Log into your Magento 2 Admin, then goto Stores -> Configuration -> MagePal -> Customer Account Links Manager

Contribution
---
Want to contribute to this extension? The quickest way is to open a [pull request on GitHub](https://help.github.com/articles/using-pull-requests).



Support
---
If you encounter any problems or bugs, please open an issue on [GitHub](https://github.com/magepal/magento2-customer-account-links-manager/issues).

Need help setting up or want to customize this extension to meet your business needs? Please email support@magepal.com and if we like your idea we will add this feature for free or at a discounted rate.

Magento 2 Extensions
---
- [Magento Custom SMTP](https://www.magepal.com/magento2/extensions/custom-smtp.html)
- [Catalog Hover Image for Magento](https://www.magepal.com/magento2/extensions/catalog-hover-image-for-magento.html)
- [Enhanced Success Page for Magento 2](https://www.magepal.com/magento2/extensions/enhanced-success-page.html)
- [Enhanced Transactional Emails for Magento 2](https://www.magepal.com/magento2/extensions/enhanced-transactional-emails.html)
- [Google Tag Manager](https://www.magepal.com/magento2/extensions/google-tag-manager.html)
- [Enhanced E-commerce](https://www.magepal.com/magento2/extensions/enhanced-ecommerce-for-google-tag-manager.html)
- [Magento Reindex](https://www.magepal.com/magento2/extensions/reindex.html)
- [Magento Custom Shipping Method](https://www.magepal.com/magento2/extensions/custom-shipping-rates-for-magento-2.html)
- [Magento Preview Order Confirmation](https://www.magepal.com/magento2/extensions/preview-order-confirmation-page-for-magento-2.html)
- [Magento Guest to Customer](https://www.magepal.com/magento2/extensions/guest-to-customer.html)
- [Magento Admin Form Fields Manager](https://www.magepal.com/magento2/extensions/admin-form-fields-manager-for-magento-2.html)
- [Magento Customer Dashboard Links Manager](https://www.magepal.com/magento2/extensions/customer-dashboard-links-manager-for-magento-2.html)
- [Magento Lazy Loader](https://www.magepal.com/magento2/extensions/lazy-load.html)
- [Magento Order Confirmation Page Miscellaneous Scripts](https://www.magepal.com/magento2/extensions/order-confirmation-miscellaneous-scripts-for-magento-2.html)
- [Magento HTML Minifier for Magento2](https://www.magepal.com/magento2/extensions/html-minifier.html)

© MagePal LLC. | [www.magepal.com](https://www.magepal.com)
